datablock AudioProfile(doLOTSound)
{
   filename = "./OOT_LensOfTruth_On.wav";
   description = AudioClosest3d;
   preload = false;
};

datablock AudioProfile(undoLOTSound)
{
   filename = "./OOT_LensOfTruth_Off.wav";
   description = AudioClosest3d;
   preload = false;
};

//////////
// item //
//////////
datablock ItemData(LensOfTruthItem)
{
	category = "Weapon";  // Mission editor category
	className = "Weapon"; // For inventory system

	 // Basic Item Properties
	shapeFile = "./Lense.dts";
	rotate = false;
	mass = 1;
	density = 0.2;
	elasticity = 0.2;
	friction = 0.6;
	emap = true;

	//gui stuff
	uiName = "Lens of Truth";
	iconName = "./Lens";
	doColorShift = false;
	colorShiftColor = "0 0 1.5 1.000";

	 // Dynamic properties defined by the scripts
	image = LensOfTruthImage;
	canDrop = true;
};

////////////////
//weapon image//
////////////////
datablock ShapeBaseImageData(LensOfTruthImage)
{
   // Basic Item properties
   shapeFile = "./Lense.dts";
   emap = true;
   armReady = true;
   mountPoint = 0;
   offset = "0 0 0";
   className = "WeaponImage";
   showBricks = true;
   item = LensOfTruthItem;
	
	stateName[0]                     = "Activate";
	stateTimeoutValue[0]             = 0.5;
	stateTransitionOnTimeout[0]       = "Ready";

	stateName[1]                     = "Ready";
	stateAllowImageChange[1]         = true;


};

function LensOfTruthImage::onMount(%this, %obj, %slot)
{
	serverPlay3D(doLOTsound,%obj.getPosition());
}

function LensOfTruthImage::onUnMount(%this, %obj, %slot)
{
	serverPlay3D(undoLOTsound,%obj.getPosition());
}